From c1f1aa832c229fad93aa16644805919606c9a14a Mon Sep 17 00:00:00 2001
From: Alexey Min <alexey.min@gmail.com>
Date: Wed, 24 Feb 2021 14:51:27 +0300
Subject: [PATCH 47/59] AlpineApkSourcesBackend: port away from QAction

follow-up to 4bf3f59adb82e2ef38df98073ee39e6d20e56921
fixed after b5e913d2231a3d899b902a015bfa6be04524d8a3
---
 .../AlpineApkBackend/AlpineApkSourcesBackend.cpp    | 13 ++++++-------
 .../AlpineApkBackend/AlpineApkSourcesBackend.h      |  9 ++++++---
 2 files changed, 12 insertions(+), 10 deletions(-)

diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkSourcesBackend.h b/libdiscover/backends/AlpineApkBackend/AlpineApkSourcesBackend.h
index eacda22dc..c655d3d16 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkSourcesBackend.h
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkSourcesBackend.h
@@ -21,11 +21,14 @@
 #ifndef ALPINEAPKSOURCESBACKEND_H
 #define ALPINEAPKSOURCESBACKEND_H
 
-#include <resources/AbstractSourcesBackend.h>
+#include "resources/AbstractSourcesBackend.h"
+
 #include <QStandardItemModel>
 
 #include <QtApkRepository.h>
 
+class DiscoverAction;
+
 class AlpineApkSourcesBackend : public AbstractSourcesBackend
 {
 public:
@@ -49,8 +52,8 @@ private:
     void onItemChanged(QStandardItem* item);
 
     QStandardItemModel *m_sourcesModel = nullptr;
-    QAction *m_refreshAction = nullptr;
-    QAction *m_saveAction = nullptr;
+    DiscoverAction *m_refreshAction = nullptr;
+    DiscoverAction *m_saveAction = nullptr;
     QVector<QtApk::Repository> m_repos;
 };
 
-- 
GitLab


